package com.tzld.piaoquan.api.dao.mapper;


import com.tzld.piaoquan.api.model.po.AlgGhAutoreplyVideoRankData;
import com.tzld.piaoquan.api.model.po.AlgGhAutoreplyVideoRankDataExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
@Mapper
@Repository
public interface AlgGhAutoreplyVideoRankDataMapper {
    long countByExample(AlgGhAutoreplyVideoRankDataExample example);

    int deleteByExample(AlgGhAutoreplyVideoRankDataExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AlgGhAutoreplyVideoRankData row);

    int insertSelective(AlgGhAutoreplyVideoRankData row);

    List<AlgGhAutoreplyVideoRankData> selectByExample(AlgGhAutoreplyVideoRankDataExample example);

    AlgGhAutoreplyVideoRankData selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("row") AlgGhAutoreplyVideoRankData row, @Param("example") AlgGhAutoreplyVideoRankDataExample example);

    int updateByExample(@Param("row") AlgGhAutoreplyVideoRankData row, @Param("example") AlgGhAutoreplyVideoRankDataExample example);

    int updateByPrimaryKeySelective(AlgGhAutoreplyVideoRankData row);

    int updateByPrimaryKey(AlgGhAutoreplyVideoRankData row);

    String selectLatestDtVersionByStrategyKey(String strategyKey);

    String selectLatestDtVersionByStrategyKeyAndGhId(@Param("strategyKey")String strategyKey, @Param("ghId")String ghId);
}